Delete
curl --request DELETE \
--url https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/task-series/2026-09-beta/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Task series
Stop recurring task
Delete a specific task series in your HubSpot account using its unique identifier. This operation permanently removes the task series, and it cannot be undone. Ensure that you have the necessary permissions to perform this action.
DELETE
/
crm
/
task-series
/
2026-09-beta
/
{taskId}
Delete
Supported products
Supported products
Scope requirements
Scope requirements
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the task series to delete. It must be an integer.
Response
Last modified on July 31, 2026
Was this page helpful?
⌘I